Inventory - Get Received History
curl --request GET \
--url https://api.skulabs.com/inventory/get_received_history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/inventory/get_received_history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/inventory/get_received_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"user_id": "507f1f77bcf86cd799439011",
"item_id": "<string>",
"location_id": "<string>",
"change": {
"quantity": 123,
"notes": "<string>"
},
"time": "2025-01-15T12:00:00.000Z",
"old_value": 123,
"sku": "<string>"
}
]
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Inventory
Inventory - Get Received History
Retrieve the history of inventory received through purchase orders.
GET
/
inventory
/
get_received_history
Inventory - Get Received History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date
Example:
"2025-01-15"
End date
Example:
"2025-01-15"
Response
Inventory history records
Array of inventory change log rows
Show child attributes
Show child attributes
⌘I